osgTerrain::TerrainNeighbours Class Reference

`#include <TerrainTechnique>`

## Public Member Functions

| TerrainNeighbours ()
| ~TerrainNeighbours ()
void | clear ()
void | addNeighbour (TerrainTile *tile)
void | removeNeighbour (TerrainTile *tile)
bool | containsNeighbour (TerrainTile *tile) const

## Protected Types

typedef std::set< TerrainTile * > | Neighbours

## Protected Member Functions

| TerrainNeighbours (const TerrainNeighbours &)
TerrainNeighbours & | operator= (const TerrainNeighbours &)

## Protected Attributes

OpenThreads::Mutex | _neighboursMutex
Neighbours | _neighbours

## Member Typedef Documentation

## Neighbours

typedef std::set<TerrainTile*> osgTerrain::TerrainNeighbours::Neighbours

protected

## Constructor & Destructor Documentation

## TerrainNeighbours() [1/2]

osgTerrain::TerrainNeighbours::TerrainNeighbours | ( |  | ) |

Referenced by operator=(), and TerrainNeighbours().

## ~TerrainNeighbours()

osgTerrain::TerrainNeighbours::~TerrainNeighbours | ( |  | ) |

## TerrainNeighbours() [2/2]

osgTerrain::TerrainNeighbours::TerrainNeighbours | ( | const TerrainNeighbours & |  | ) |

inline protected

References TerrainNeighbours().

## Member Function Documentation

## addNeighbour()

void osgTerrain::TerrainNeighbours::addNeighbour | ( | TerrainTile * | tile | ) |

## clear()

void osgTerrain::TerrainNeighbours::clear | ( |  | ) |

## containsNeighbour()

bool osgTerrain::TerrainNeighbours::containsNeighbour | ( | TerrainTile * | tile | ) | const

## operator=()

TerrainNeighbours & osgTerrain::TerrainNeighbours::operator= | ( | const TerrainNeighbours & |  | ) |

inline protected

References TerrainNeighbours().

## removeNeighbour()

void osgTerrain::TerrainNeighbours::removeNeighbour | ( | TerrainTile * | tile | ) |

## Member Data Documentation

## _neighbours

Neighbours osgTerrain::TerrainNeighbours::_neighbours

protected

## _neighboursMutex

OpenThreads::Mutex osgTerrain::TerrainNeighbours::_neighboursMutex

mutable protected

The documentation for this class was generated from the following file:

- TerrainTechnique